{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 5,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/emf/ecore/util/EObjectWithInverseResolvingEList$ManyInverse.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.redefinitionContext(Lorg/eclipse/uml2/uml/Transition;)Lorg/eclipse/uml2/uml/Classifier;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/VertexOperations.getIncomings(Lorg/eclipse/uml2/uml/Vertex;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/DerivedSubsetEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 3,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isOrthogonal(Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 5,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 5,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/VertexOperations.getOutgoings(Lorg/eclipse/uml2/uml/Vertex;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isSimple(Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getMembers()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eContainer()Lorg/eclipse/emf/ecore/EObject;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isSubmachineState(Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseAdd(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 4,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.redefinitionContext(Lorg/eclipse/uml2/uml/State;)Lorg/eclipse/uml2/uml/Classifier;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 5,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 5,
    "Lorg/eclipse/emf/ecore/util/EcoreEList$UnmodifiableEList.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;Lorg/eclipse/emf/ecore/EStructuralFeature;I[Ljava/lang/Object;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.redefinitionContext(Lorg/eclipse/uml2/uml/Region;)Lorg/eclipse/uml2/uml/Classifier;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isComposite(Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 5
  }
}